# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name ltk

# common part of summary for all the subpackages
%global common_summary Leksah IDE's UI toolkit library

# main description used for all the subpackages
%global common_description This package provides UI toolkit library for Leksah IDE.

Name:           ghc-%{pkg_name}
Version:        0.10.0.4
Release:        3%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        GPL+
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
# macros for building haskell packages
BuildRequires:  ghc-rpm-macros
BuildRequires:  hscolour
BuildRequires:  ghc-glib-prof, ghc-gtk-prof, ghc-mtl-prof, ghc-parsec-prof, ghc-haddock-prof

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


# define the shared, devel and prof subpkgs, devel scripts,
# and filelists: ghc-ltk.files, ghc-ltk-devel.files
%ghc_lib_package


%changelog
* Tue Jun 21 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-3
- Update to cabal2spec-0.23.2

* Sun May 21 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-2
- Updated spec file to cabal2spec 0.22.7
- License is GPL+. The cabal file states license as GPLv2 while sources specify license
- as GPL. Hence GPL+.
- Removed patch as it is not needed.

* Sun May 1 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-1
- Package updated to 0.10.0.4

* Tue Apr 12 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0-1
- Package update.cabal file patch to fix build issue on F15 and greater.

* Thu Mar 24 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.8.0.8-2
- Upgrade to cabal2spec 0.22.5

* Sun Oct 10 2010 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.8.0.8-1
- Modify license details, summary, description and added dependencies.

* Sun Oct 10 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.8.0.8-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
